List Sessions
curl --request GET \
--url https://api.example.com/v1/sessionsimport requests
url = "https://api.example.com/v1/sessions"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v1/sessions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Sessions
List Sessions
List sessions for your organization
GET
/
v1
/
sessions
List Sessions
List all sessions for your organization. Supports filtering by status and phone.
Request
curl https://api.tapkit.ai/v1/sessions \
-H "X-API-Key: joot_your_api_key"
Query Parameters
| Parameter | Type | Default | Description |
|---|---|---|---|
status | string | — | Filter by status: creating, running, paused, completed, failed, killed |
phone_id | string | — | Filter by phone ID |
limit | integer | 20 | Number of sessions to return (1–100) |
Response
Status: 200 OK{
"sessions": [
{
"id": "sess_abc123",
"phone_id": "abc123-def456",
"instruction": "Open Instagram and like the first 3 posts",
"status": "completed",
"cost_usd": 0.42,
"duration_ms": 45200,
"num_turns": 12,
"error": null,
"created_at": "2024-01-15T10:30:00Z",
"started_at": "2024-01-15T10:30:02Z",
"completed_at": "2024-01-15T10:30:47Z"
}
]
}
Response Fields
| Field | Type | Description |
|---|---|---|
sessions | array | Array of session objects (see Create Session for field details) |
Examples
List Running Sessions
curl "https://api.tapkit.ai/v1/sessions?status=running" \
-H "X-API-Key: joot_..."
Python
import requests
response = requests.get(
"https://api.tapkit.ai/v1/sessions",
headers={"X-API-Key": "joot_..."},
params={"status": "running", "limit": 50}
)
sessions = response.json()["sessions"]
for s in sessions:
print(f"{s['id']}: {s['status']} - {s['instruction'][:50]}")
Related Endpoints
- Create Session - Start a new session
- Get Session - Get details for a specific session
⌘I